<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Particles/Tests/PMTCreationAndCleanup.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dbd/_p_m_t_creation_and_cleanup_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PMTCreationAndCleanup.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="comment">// Simply exists</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>}</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">class </span><a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa0e0b3585c4fc67c5ed37fc6990ece35">PMTCreationAndCleanup</a> : <a class="code hl_class" href="../../d5/d28/class_p_m_t_f.html">PMTF</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">    8</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">m_EventTestManagerID</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">    9</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">m_bTestEventsPassed</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af77d9a514858c0ee0832e8955ee301f0">   11</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af77d9a514858c0ee0832e8955ee301f0">m_OwnershipTestManagerID</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="comment">// Ctor - Decides the tests to run</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa0e0b3585c4fc67c5ed37fc6990ece35">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa0e0b3585c4fc67c5ed37fc6990ece35">PMTCreationAndCleanup</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">//AddInitTest(&quot;TestInvalidSize&quot;);</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4278e4a825f73e405fd1dcfe90c60c41">AddInitTest</a>(<span class="stringliteral">&quot;TestCCSB&quot;</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4278e4a825f73e405fd1dcfe90c60c41">AddInitTest</a>(<span class="stringliteral">&quot;TestEvents&quot;</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4278e4a825f73e405fd1dcfe90c60c41">AddInitTest</a>(<span class="stringliteral">&quot;TestOwnership&quot;</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// Tests</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// Test invalid size VMEs</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af55aa8f6e0725b87267afc1e260d8261">   28</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af55aa8f6e0725b87267afc1e260d8261">TestInvalidSize</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a53021332093095c730a7afbc8b9e3c16">ParticleLog</a>(<span class="stringliteral">&quot;Expecting VME: Invalid size. (0)&quot;</span>, <span class="keyword">this</span>, <span class="stringliteral">&quot;TestInvalidSize&quot;</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a>(0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a53021332093095c730a7afbc8b9e3c16">ParticleLog</a>(<span class="stringliteral">&quot;Expecting VME: Invalid size. (-3)&quot;</span>, <span class="keyword">this</span>, <span class="stringliteral">&quot;TestInvalidSize&quot;</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a>(-3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a>(<a class="code hl_enumeration" href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a>.SUCCESS); <span class="comment">// No way to check if a VME popped or not...</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">// TestCreationCleanupSmallBlocking</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a3785f0a7cda55233227714967d76c325">   41</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a3785f0a7cda55233227714967d76c325">TestCCSB</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a192c1b903db9524f333d139f80748230">TestCleanup</a>(<span class="stringliteral">&quot;TestMultiCreation&quot;</span>, 3000);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// Test if events are called properly</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa1f66cd7fd5d9c4d4de4ba64ef9eec55">   48</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa1f66cd7fd5d9c4d4de4ba64ef9eec55">TestEvents</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm = <span class="keyword">new</span> <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>(<span class="keyword">new</span> <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a180014652e28cc8fa2cd0cc46d181307">ParticleManagerSettings</a>(3000));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordtype">bool</span> success = !pm.IsFinishedAllocating(); <span class="comment">// We need it to not be done in the same frame</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(success))</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            pm.GetEvents().Event_OnAllocationEnd.Insert(<a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a174bc56a2597810b423dc54a96549fbd">PassCheckEvents</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">m_EventTestManagerID</a> = <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a80d1ddf5be402c243df661afcaae9fb3">InsertManager</a>(pm);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a1fc5b7aa1e0c4b2c07014e89b2fd9911">AddFrameTest</a>(<span class="stringliteral">&quot;CheckTestEvents&quot;</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a>(<a class="code hl_enumeration" href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a>.SUCCESS);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a>(<a class="code hl_enumeration" href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a>.FAIL);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// Test ownership</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a8878c6aeb911b21eaca3927fa45486a9">   67</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a8878c6aeb911b21eaca3927fa45486a9">TestOwnership</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm = <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a7797a050c6139367538149b50e9ad3f3">CreatePMFixedBlocking</a>(1);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordtype">bool</span> success = pm.IsFinishedAllocating(); <span class="comment">// We need it to be done in the same frame</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(success))</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {       </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af77d9a514858c0ee0832e8955ee301f0">m_OwnershipTestManagerID</a> = <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a80d1ddf5be402c243df661afcaae9fb3">InsertManager</a>(pm);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_class" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a> dummy = <span class="keyword">new</span> <a class="code hl_class" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a>();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            ParticleProperties pp = <span class="keyword">new</span> ParticleProperties(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>().<a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), ParticlePropertiesFlags.NONE, null, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>, dummy);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordtype">string</span> particlePath = <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_function" href="../../dd/dd2/class_particle_list.html#a5e8368fe145ca144b377295e12dbdea4">GetParticleFullPath</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a61d275eca73485fadef525e4d5ee8178">EXPLOSION_LANDMINE</a>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordtype">bool</span> result = <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.CreateParticleByPath(particlePath, pp) != null);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a53021332093095c730a7afbc8b9e3c16">ParticleLog</a>(<span class="stringliteral">&quot;Expecting VME: All particles in pool are already used.&quot;</span>, <span class="keyword">this</span>, <span class="stringliteral">&quot;TestOwnership&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            result &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.CreateParticleByPath(particlePath, pp) == null);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keyword">delete</span> dummy;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            result &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.CreateParticleByPath(particlePath, pp) != null);        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(result);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a>(<a class="code hl_enumeration" href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a>.FAIL);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// OnFrame Checks</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af80ec12ed8337e6bf1052d1677451069">   94</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af80ec12ed8337e6bf1052d1677451069">CheckTestEvents</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a19c8db45893e604e507a287fc9140b5f">GetManager</a>(<a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">m_EventTestManagerID</a>, pm))</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">if</span> (pm)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordflow">if</span> (pm.IsFinishedAllocating())</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(<a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">m_bTestEventsPassed</a>));</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(<span class="keyword">false</span>));</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(<span class="keyword">false</span>));</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a>(<a class="code hl_enumeration" href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a>.PENDING);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">// Passes</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a174bc56a2597810b423dc54a96549fbd">  122</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a174bc56a2597810b423dc54a96549fbd">PassCheckEvents</a>(<a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.IsFinishedAllocating());</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_variable" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">m_bTestEventsPassed</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    <span class="comment">// Helpers</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">  131</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a>(<span class="keywordtype">int</span> size, <span class="keywordtype">bool</span> enableAsserts = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="comment">// Blocking, so that we can test AllocatedCount</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm = <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a7797a050c6139367538149b50e9ad3f3">CreatePMFixedBlocking</a>(size);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#ad124d759e5c4c5f9b0de4c86810ca0c5">PrintPMStats</a>(pm);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordtype">bool</span> success = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span> (enableAsserts)</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            success &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.GetPoolSize() == size);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            success &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.GetAllocatedCount() == size);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            success &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pm.GetEvents() != null);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(success);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a192c1b903db9524f333d139f80748230">  149</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a192c1b903db9524f333d139f80748230">TestCleanup</a>(<span class="keywordtype">string</span> f, <span class="keywordtype">int</span> p1 = 0)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {   </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordtype">int</span> pmTotal = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetStaticActiveCount();</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordtype">int</span> psTotal = <a class="code hl_class" href="../../de/d38/class_particle_source.html">ParticleSource</a>.<a class="code hl_function" href="../../de/d38/class_particle_source.html#a94a8bccf8be772f774ad26043ff001e7">GetStaticActiveCount</a>();</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a4a4196b9d3a10e76f9fad6f416394ec7">PrintActiveStats</a>();</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> res = <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a656551b8b255673cd7c68c44d471d20a">CTFR</a>();</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_variable" href="../../d2/de6/class_c_game.html#ab748d4822aa46fb1dc0b069e4349acd2">GameScript</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#gaa168a637eb6a9a69496ae0d0dc407135">CallFunction</a>(<span class="keyword">this</span>, f, res, p1);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordtype">int</span> pmTotalPost = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetStaticActiveCount();</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordtype">int</span> psTotalPost = <a class="code hl_class" href="../../de/d38/class_particle_source.html">ParticleSource</a>.<a class="code hl_function" href="../../de/d38/class_particle_source.html#a94a8bccf8be772f774ad26043ff001e7">GetStaticActiveCount</a>();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_function" href="../../d5/d28/class_p_m_t_f.html#a4a4196b9d3a10e76f9fad6f416394ec7">PrintActiveStats</a>();</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordtype">bool</span> success = <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(pmTotal == pmTotalPost);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        success &amp;= <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a>(psTotal == psTotalPost);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">return</span> res.And(<a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a>(success));</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a447893a199eb304c3b2cffa1d1f4fab5">  171</a></span>    <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> <a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a447893a199eb304c3b2cffa1d1f4fab5">TestMultiCreation</a>(<span class="keywordtype">int</span> instances)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> res = <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a656551b8b255673cd7c68c44d471d20a">CTFR</a>();</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; instances; ++i)</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            res.And(<a class="code hl_function" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a>(1));</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">return</span> res;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>}</div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a174bc56a2597810b423dc54a96549fbd"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a174bc56a2597810b423dc54a96549fbd">PassCheckEvents</a></div><div class="ttdeci">void PassCheckEvents(ParticleManager pm)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00122">PMTCreationAndCleanup.c:122</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a192c1b903db9524f333d139f80748230"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a192c1b903db9524f333d139f80748230">TestCleanup</a></div><div class="ttdeci">TFResult TestCleanup(string f, int p1=0)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00149">PMTCreationAndCleanup.c:149</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a3785f0a7cda55233227714967d76c325"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a3785f0a7cda55233227714967d76c325">TestCCSB</a></div><div class="ttdeci">TFResult TestCCSB()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00041">PMTCreationAndCleanup.c:41</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a447893a199eb304c3b2cffa1d1f4fab5"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a447893a199eb304c3b2cffa1d1f4fab5">TestMultiCreation</a></div><div class="ttdeci">TFResult TestMultiCreation(int instances)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00171">PMTCreationAndCleanup.c:171</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a67e5b9aa9242556554146e0994c8447b"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a></div><div class="ttdeci">TFResult TestCreationSmallBlocking(int size, bool enableAsserts=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00131">PMTCreationAndCleanup.c:131</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a76ce94c233dfe76446bfcfd91c47ae01"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">m_EventTestManagerID</a></div><div class="ttdeci">class OwnershipTestDummyClass m_EventTestManagerID</div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_a8878c6aeb911b21eaca3927fa45486a9"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a8878c6aeb911b21eaca3927fa45486a9">TestOwnership</a></div><div class="ttdeci">TFResult TestOwnership()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00067">PMTCreationAndCleanup.c:67</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_aa0e0b3585c4fc67c5ed37fc6990ece35"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa0e0b3585c4fc67c5ed37fc6990ece35">PMTCreationAndCleanup</a></div><div class="ttdeci">void PMTCreationAndCleanup()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00016">PMTCreationAndCleanup.c:16</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_aa1f66cd7fd5d9c4d4de4ba64ef9eec55"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa1f66cd7fd5d9c4d4de4ba64ef9eec55">TestEvents</a></div><div class="ttdeci">TFResult TestEvents()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00048">PMTCreationAndCleanup.c:48</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_ad23c817b024d123ace5d2ec64c48321c"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">m_bTestEventsPassed</a></div><div class="ttdeci">bool m_bTestEventsPassed</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00009">PMTCreationAndCleanup.c:9</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_af55aa8f6e0725b87267afc1e260d8261"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af55aa8f6e0725b87267afc1e260d8261">TestInvalidSize</a></div><div class="ttdeci">TFResult TestInvalidSize()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00028">PMTCreationAndCleanup.c:28</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_af77d9a514858c0ee0832e8955ee301f0"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af77d9a514858c0ee0832e8955ee301f0">m_OwnershipTestManagerID</a></div><div class="ttdeci">int m_OwnershipTestManagerID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00011">PMTCreationAndCleanup.c:11</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_af80ec12ed8337e6bf1052d1677451069"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af80ec12ed8337e6bf1052d1677451069">CheckTestEvents</a></div><div class="ttdeci">TFResult CheckTestEvents()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00094">PMTCreationAndCleanup.c:94</a></div></div>
<div class="ttc" id="a_p_m_t_creation_and_cleanup_8c_html_de/d19/class_ownership_test_dummy_class"><div class="ttname"><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00001">PMTCreationAndCleanup.c:2</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a180014652e28cc8fa2cd0cc46d181307"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a180014652e28cc8fa2cd0cc46d181307">ParticleManagerSettings</a></div><div class="ttdeci">class ParticleManagerConstants ParticleManagerSettings(int poolSize, int flags=ParticleManagerSettingsFlags.NONE)</div><div class="ttdoc">Settings given to ParticleManager on creation (in ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00001">ParticleManager.c:35</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a1fc5b7aa1e0c4b2c07014e89b2fd9911"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a1fc5b7aa1e0c4b2c07014e89b2fd9911">AddFrameTest</a></div><div class="ttdeci">protected void AddFrameTest(string test)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00254">TestFramework.c:254</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a4278e4a825f73e405fd1dcfe90c60c41"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a4278e4a825f73e405fd1dcfe90c60c41">AddInitTest</a></div><div class="ttdeci">protected void AddInitTest(string test)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00249">TestFramework.c:249</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a4c750cc81b1a53839d18342ca28e0a03"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a4c750cc81b1a53839d18342ca28e0a03">NTFR</a></div><div class="ttdeci">TFResult NTFR(TFR result)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00273">TestFramework.c:273</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a656551b8b255673cd7c68c44d471d20a"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a656551b8b255673cd7c68c44d471d20a">CTFR</a></div><div class="ttdeci">TFResult CTFR()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00286">TestFramework.c:286</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a6649ea9a4c30f69cd72af5ae00fc1df5"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a6649ea9a4c30f69cd72af5ae00fc1df5">Assert</a></div><div class="ttdeci">protected bool Assert(bool condition)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00262">TestFramework.c:262</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a85146d0ecb62630b6c6d17ac798fb4e2"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a></div><div class="ttdeci">void TFResult(TFR result)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00012">TestFramework.c:12</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a8632cf91331642a65d3a7a7002ca9500"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a8632cf91331642a65d3a7a7002ca9500">TFR</a></div><div class="ttdeci">TFR</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00001">TestFramework.c:2</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_ad6153b704b9834b403ef7fef8a05b0c5"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#ad6153b704b9834b403ef7fef8a05b0c5">BTFR</a></div><div class="ttdeci">TFResult BTFR(bool result)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00278">TestFramework.c:278</a></div></div>
<div class="ttc" id="a_underground_area_loader_8c_html_af4b5180d61f839c99de2d15fdcda4568"><div class="ttname"><a href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a></div><div class="ttdeci">class JsonUndergroundAreaTriggerData GetPosition</div><div class="ttdoc">Retrieve position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00001">UndergroundAreaLoader.c:9</a></div></div>
<div class="ttc" id="aclass_c_game_html_ab748d4822aa46fb1dc0b069e4349acd2"><div class="ttname"><a href="../../d2/de6/class_c_game.html#ab748d4822aa46fb1dc0b069e4349acd2">CGame::GameScript</a></div><div class="ttdeci">ScriptModule GameScript</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00012">Game.c:12</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a53021332093095c730a7afbc8b9e3c16"><div class="ttname"><a href="../../da/d7d/class_debug.html#a53021332093095c730a7afbc8b9e3c16">Debug::ParticleLog</a></div><div class="ttdeci">static void ParticleLog(string message=LOG_DEFAULT, Managed caller=null, string function=&quot;&quot;, Managed entity=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00165">Debug.c:165</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html">PMTF</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00001">PMTF.c:2</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html_a19c8db45893e604e507a287fc9140b5f"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html#a19c8db45893e604e507a287fc9140b5f">PMTF::GetManager</a></div><div class="ttdeci">bool GetManager(int id, out ParticleManager pm)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00017">PMTF.c:17</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html_a4a4196b9d3a10e76f9fad6f416394ec7"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html#a4a4196b9d3a10e76f9fad6f416394ec7">PMTF::PrintActiveStats</a></div><div class="ttdeci">protected void PrintActiveStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00032">PMTF.c:32</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html_a7797a050c6139367538149b50e9ad3f3"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html#a7797a050c6139367538149b50e9ad3f3">PMTF::CreatePMFixedBlocking</a></div><div class="ttdeci">protected ParticleManager CreatePMFixedBlocking(int size)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00042">PMTF.c:42</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html_a80d1ddf5be402c243df661afcaae9fb3"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html#a80d1ddf5be402c243df661afcaae9fb3">PMTF::InsertManager</a></div><div class="ttdeci">int InsertManager(ParticleManager pm)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00009">PMTF.c:9</a></div></div>
<div class="ttc" id="aclass_p_m_t_f_html_ad124d759e5c4c5f9b0de4c86810ca0c5"><div class="ttname"><a href="../../d5/d28/class_p_m_t_f.html#ad124d759e5c4c5f9b0de4c86810ca0c5">PMTF::PrintPMStats</a></div><div class="ttdeci">protected void PrintPMStats(notnull ParticleManager pm)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de7/_p_m_t_f_8c_source.html#l00025">PMTF.c:25</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a5e8368fe145ca144b377295e12dbdea4"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a5e8368fe145ca144b377295e12dbdea4">ParticleList::GetParticleFullPath</a></div><div class="ttdeci">static string GetParticleFullPath(int particle_id)</div><div class="ttdoc">Returns particle's full path (with .ptc suffix) based on its ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00384">ParticleList.c:384</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a61d275eca73485fadef525e4d5ee8178"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a61d275eca73485fadef525e4d5ee8178">ParticleList::EXPLOSION_LANDMINE</a></div><div class="ttdeci">static const int EXPLOSION_LANDMINE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00249">ParticleList.c:249</a></div></div>
<div class="ttc" id="aclass_particle_source_html"><div class="ttname"><a href="../../de/d38/class_particle_source.html">ParticleSource</a></div><div class="ttdoc">Entity which has the particle instance as an ObjectComponent.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d75/_particle_source_8c_source.html#l00123">ParticleSource.c:124</a></div></div>
<div class="ttc" id="aclass_particle_source_html_a94a8bccf8be772f774ad26043ff001e7"><div class="ttname"><a href="../../de/d38/class_particle_source.html#a94a8bccf8be772f774ad26043ff001e7">ParticleSource::GetStaticActiveCount</a></div><div class="ttdeci">proto static native int GetStaticActiveCount()</div><div class="ttdoc">Gets the amount of ParticleSource that are currently existing.</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_gaa168a637eb6a9a69496ae0d0dc407135"><div class="ttname"><a href="../../d5/d78/group___enforce.html#gaa168a637eb6a9a69496ae0d0dc407135">ScriptModule::CallFunction</a></div><div class="ttdeci">proto volatile int CallFunction(Class inst, string function, out void returnVal, void parm)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_f2e6f91e0f5fdd26aac18974f712661e.html">Particles</a></li><li class="navelem"><a class="el" href="../../dir_d1610146b64c5303e2872e224bdc20ca.html">Tests</a></li><li class="navelem"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html">PMTCreationAndCleanup.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
